### Method

# Gio FileAttributeMatcher enumerate_next

#### Declaration

    const char*
    g_file_attribute_matcher_enumerate_next (
      GFileAttributeMatcher* matcher
    )

#### Description

Gets the next matched attribute from a `GFileAttributeMatcher`.

#### Return value

Type: `const char*`

A string containing the next attribute or, `NULL` if no more attribute exist.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.